Method: accountTypes.accounts.userLists.list

Lists UserLists.

Authorization Headers:

This method supports the following optional headers to define how the API authorizes access for the request:

  • login-account: (Optional) The resource name of the account where the Google Account of the credentials is a user. If not set, defaults to the account of the request. Format: accountTypes/{loginAccountType}/accounts/{loginAccountId}
  • linked-account: (Optional) The resource name of the account with an established product link to the login-account. Format: accountTypes/{linkedAccountType}/accounts/{linkedAccountId}

HTTP request

GET https://datamanager.googleapis.com/v1/{parent=accountTypes/*/accounts/*}/userLists

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent account which owns this collection of user lists. Format: accountTypes/{accountType}/accounts/{account}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of user lists to return. The service may return fewer than this value. If unspecified, at most 50 user lists will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous userLists.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to userLists.list must match the call that provided the page token.

filter

string

Optional. A filter string. All fields need to be on the left hand side of each condition (for example: display_name = "list 1"). Fields must be specified using either all camel case or all snake case. Don't use a combination of camel case and snake case.

Supported operations:

  • AND
  • =
  • !=
  • >
  • >=
  • <
  • <=
  • : (has)

Supported fields:

  • id
  • display_name
  • description
  • membership_status
  • integration_code
  • access_reason
  • ingested_user_list_info.upload_key_types

Request body

The request body must be empty.

Response body

Response message for userLists.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "userLists": [
    {
      object (UserList)
    }
  ],
  "nextPageToken": string
}
Fields
userLists[]

object (UserList)

The user lists from the specified account.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/datamanager